GNU bug report logs - #48924
Add systemd

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Tony O <me@HIDDEN>; dated Tue, 8 Jun 2021 16:21:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 48924 <at> debbugs.gnu.org:


Received: (at 48924) by debbugs.gnu.org; 13 Jun 2021 12:20:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 13 08:20:29 2021
Received: from localhost ([127.0.0.1]:42860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsP6L-0001Ll-50
	for submit <at> debbugs.gnu.org; Sun, 13 Jun 2021 08:20:29 -0400
Received: from flashner.co.il ([178.62.234.194]:46972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lsP6J-0001LX-VL
 for 48924 <at> debbugs.gnu.org; Sun, 13 Jun 2021 08:20:28 -0400
Received: from localhost (unknown [31.210.177.125])
 by flashner.co.il (Postfix) with ESMTPSA id E1A9640088;
 Sun, 13 Jun 2021 12:20:21 +0000 (UTC)
Date: Sun, 13 Jun 2021 15:19:12 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#48924] Add systemd
Message-ID: <YMX3wA87imqUahTK@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>, 48924 <at> debbugs.gnu.org,
 Tony O <me@HIDDEN>
References: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
 <87wnr3aqa6.fsf@HIDDEN>
 <YNI_xB5G_0jHAWpD9mD6rWGMzXtE6P0dMG0L4wy_E8SDJssGgaaHlgVe9TRpuJmv5Q-0elQfKCfqexhQAY0Gkg==@fron.io>
 <87sg1qbxb0.fsf_-_@HIDDEN>
 <rlnRDNsOy3WhfYIT2u39eHjY16ckiPJyCzJBFBcR-WDKtnV2sgow4pu1qYMTIOSatQTJYWXasChOlRgKHEyYbw==@fron.io>
 <8c9f7f3961274fd2fef3b715a0ff8b21026bb283.camel@HIDDEN>
 <87h7i45p9y.fsf@HIDDEN>
 <6bb174687e5520154f4cb0fefe8306158d594c01.camel@HIDDEN>
 <YMW0R8aZi0s0RXme@3900XT> <87sg1m2jjl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="AYykIGpujKj+D35y"
Content-Disposition: inline
In-Reply-To: <87sg1m2jjl.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48924
Cc: Leo Prikler <leo.prikler@HIDDEN>, 48924 <at> debbugs.gnu.org,
 Tony O <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--AYykIGpujKj+D35y
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Jun 13, 2021 at 11:36:14AM +0200, Ludovic Court=C3=A8s wrote:
> Hi!
>=20
> Efraim Flashner <efraim@HIDDEN> skribis:
>=20
> [...]
>=20
> > One thing that I've noticed with elogind is that it doesn't interact
> > will with systemd-logind on other machines. Any loginctl command
> > normally fails because the version we have looks in /var/lib/elogind and
> > systemd uses /var/lib/systemd.
>=20
> Oh you=E2=80=99re saying that someone on a foreign distro might be intere=
sted in
> running =E2=80=98systemctl=E2=80=99 from Guix=E2=80=99 =E2=80=98systemd=
=E2=80=99 package?  That sounds like a
> bit far-fetched to me, dunno.

I meant it more like this:

(ins)efraim@g4:~$ loginctl list-sessions
SESSION  UID USER   SEAT  TTY
      1  118 sddm   seat0
  12683 1000 efraim seat0 tty2
     13 1000 efraim seat0 tty3
  15005 1000 efraim       pts/2

4 sessions listed.

(ins)efraim@3900XT ~$ loginctl list-sessions
SESSION  UID USER   SEAT  TTY
     c1  980 sddm   seat0
     c2 1000 efraim seat0 tty8

2 sessions listed.
(ins)efraim@3900XT ~$ loginctl -H g4 list-sessions
bash: line 1: elogind-stdio-bridge: command not found

It should be possible to interoperate between them
(-H --host=3D[USER@]HOST    Operate on remote host)

> > It would also be useful to figure out how to run user level systemd
> > services, likely using systemd itself, for those who are interested in
> > doing so.
> >
> > I've heard that systemd is modular, in that at compile time it's
> > possible to choose which modules to build. Perhaps we can build a subset
> > which are actually useful for us?
>=20
> Good question, no idea.
>=20
> Thanks,
> Ludo=E2=80=99.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--AYykIGpujKj+D35y
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmDF970ACgkQQarn3Mo9
g1HaDw//Q+4d43AhQ7ppBt86wHJhl4+ArArx8bDeZWH2OOuYUDv3nIuQ59qLmAc0
OEReFAQoeRVrWEsZe5AQGrD+khLNrbRqzOYgvaec6OGRasinXNzp3Oe0QGNzG3AH
JEicRx4TZ6CISpKzeFVs8j3Mm8WDJN+p3WQR+zradKqGSSVtLciU+4eTqE+nM/sB
qK/UPi+TS8LOyTF3wxzuqBycjy9RuVC69/r6mbilTr1nWmlDc+qmnp3gFlBJ2R5b
Xz1NtOtlmrMBLy28dZP7T5ocP/5/pdVDTeUDFyUtEM1UCX00e9DHU8IMXXc7hlva
nXCefAEKgsfG65sre1PPh+6U9Yeb3MU62eEouKWX1ujxYDozd/wAQBVyieAL0Gu4
+7WstlhqVFgtPMUeMfsFRIJnSqTg34qIGCItc0SiMXHaFuLHoZSwlsD3NDzGNcqt
n9WRAYrJx07qFTHueEbdB6SuQ84jT9933hbyqvSRTl+MnAP6ZKyGpK+yMrAgvioq
4O32f93kGANglRecZiZY1noUG8gZep6/53Bc08JJsTZ4KyGqMID1Tk7L+UgNbCg8
cKft0izXRbZgnllU6kcCDw00uNlS9NPYULLDcNsprvAW7VCdfUvKmmrSYr2zIF74
w0OdVbTaKrWqvvyhqReMDJBqtM6nKtw8eYrjLaoPt0HRYjUbKus=
=ZBTn
-----END PGP SIGNATURE-----

--AYykIGpujKj+D35y--




Information forwarded to guix-patches@HIDDEN:
bug#48924; Package guix-patches. Full text available.

Message received at 48924 <at> debbugs.gnu.org:


Received: (at 48924) by debbugs.gnu.org; 13 Jun 2021 09:36:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 13 05:36:28 2021
Received: from localhost ([127.0.0.1]:42662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsMXc-0000qE-6w
	for submit <at> debbugs.gnu.org; Sun, 13 Jun 2021 05:36:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lsMXZ-0000py-SX
 for 48924 <at> debbugs.gnu.org; Sun, 13 Jun 2021 05:36:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38182)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lsMXT-0002QJ-Kk; Sun, 13 Jun 2021 05:36:19 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=54738 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lsMXQ-0000eu-RH; Sun, 13 Jun 2021 05:36:19 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#48924] Add systemd
References: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
 <87wnr3aqa6.fsf@HIDDEN>
 <YNI_xB5G_0jHAWpD9mD6rWGMzXtE6P0dMG0L4wy_E8SDJssGgaaHlgVe9TRpuJmv5Q-0elQfKCfqexhQAY0Gkg==@fron.io>
 <87sg1qbxb0.fsf_-_@HIDDEN>
 <rlnRDNsOy3WhfYIT2u39eHjY16ckiPJyCzJBFBcR-WDKtnV2sgow4pu1qYMTIOSatQTJYWXasChOlRgKHEyYbw==@fron.io>
 <8c9f7f3961274fd2fef3b715a0ff8b21026bb283.camel@HIDDEN>
 <87h7i45p9y.fsf@HIDDEN>
 <6bb174687e5520154f4cb0fefe8306158d594c01.camel@HIDDEN>
 <YMW0R8aZi0s0RXme@3900XT>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 25 Prairial an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 13 Jun 2021 11:36:14 +0200
In-Reply-To: <YMW0R8aZi0s0RXme@3900XT> (Efraim Flashner's message of "Sun, 13
 Jun 2021 10:31:19 +0300")
Message-ID: <87sg1m2jjl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48924
Cc: Leo Prikler <leo.prikler@HIDDEN>, 48924 <at> debbugs.gnu.org,
 Tony O <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

Efraim Flashner <efraim@HIDDEN> skribis:

> On Fri, Jun 11, 2021 at 07:11:18PM +0200, Leo Prikler wrote:

[...]

>> I'm definitely leaning towards not including it as-is/perhaps having it
>> in an external channel as well, but I don't think "high maintenance"
>> should generally be a deterrent against a functioning package (or
>> rather the only reason to keep a package from being included).

[...]

> I'd also argue that some of the bioinformatics packages are high
> maintenance and no one likes having to update them.

I agree with the two of you.  What I=E2=80=99m saying is that if in additio=
n of
having a high maintenance cost, it=E2=80=99s pretty much unusable, then tha=
t=E2=80=99s
not good.

> One thing that I've noticed with elogind is that it doesn't interact
> will with systemd-logind on other machines. Any loginctl command
> normally fails because the version we have looks in /var/lib/elogind and
> systemd uses /var/lib/systemd.

Oh you=E2=80=99re saying that someone on a foreign distro might be interest=
ed in
running =E2=80=98systemctl=E2=80=99 from Guix=E2=80=99 =E2=80=98systemd=E2=
=80=99 package?  That sounds like a
bit far-fetched to me, dunno.

> It would also be useful to figure out how to run user level systemd
> services, likely using systemd itself, for those who are interested in
> doing so.
>
> I've heard that systemd is modular, in that at compile time it's
> possible to choose which modules to build. Perhaps we can build a subset
> which are actually useful for us?

Good question, no idea.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#48924; Package guix-patches. Full text available.

Message received at 48924 <at> debbugs.gnu.org:


Received: (at 48924) by debbugs.gnu.org; 13 Jun 2021 07:32:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 13 03:32:26 2021
Received: from localhost ([127.0.0.1]:42518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsKbZ-0006JR-VX
	for submit <at> debbugs.gnu.org; Sun, 13 Jun 2021 03:32:26 -0400
Received: from flashner.co.il ([178.62.234.194]:45156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lsKbX-0006JC-KL
 for 48924 <at> debbugs.gnu.org; Sun, 13 Jun 2021 03:32:24 -0400
Received: from localhost (unknown [31.210.177.125])
 by flashner.co.il (Postfix) with ESMTPSA id C9532400CD;
 Sun, 13 Jun 2021 07:32:17 +0000 (UTC)
Date: Sun, 13 Jun 2021 10:31:19 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: [bug#48924] Add systemd
Message-ID: <YMW0R8aZi0s0RXme@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>,
 Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 48924 <at> debbugs.gnu.org, Tony O <me@HIDDEN>
References: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
 <87wnr3aqa6.fsf@HIDDEN>
 <YNI_xB5G_0jHAWpD9mD6rWGMzXtE6P0dMG0L4wy_E8SDJssGgaaHlgVe9TRpuJmv5Q-0elQfKCfqexhQAY0Gkg==@fron.io>
 <87sg1qbxb0.fsf_-_@HIDDEN>
 <rlnRDNsOy3WhfYIT2u39eHjY16ckiPJyCzJBFBcR-WDKtnV2sgow4pu1qYMTIOSatQTJYWXasChOlRgKHEyYbw==@fron.io>
 <8c9f7f3961274fd2fef3b715a0ff8b21026bb283.camel@HIDDEN>
 <87h7i45p9y.fsf@HIDDEN>
 <6bb174687e5520154f4cb0fefe8306158d594c01.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="bdGtDPii2K1NCeVS"
Content-Disposition: inline
In-Reply-To: <6bb174687e5520154f4cb0fefe8306158d594c01.camel@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48924
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 48924 <at> debbugs.gnu.org,
 Tony O <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--bdGtDPii2K1NCeVS
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Fri, Jun 11, 2021 at 07:11:18PM +0200, Leo Prikler wrote:
> Hi,
>=20
> Am Freitag, den 11.06.2021, 18:39 +0200 schrieb Ludovic Court=C3=A8s:
> > > This was in part already discussed in IRC, but to reiterate, I
> > > think
> > > that the systemd package should be usable in some capacity -- be
> > > it,
> > > that we can run systemd as user daemons or be it, that we can
> > > *meaningfully* link free software against it.  Note however, that
> > > the
> > > latter most likely implies the first, since there's no meaningful
> > > linkage against systemd without one of its daemons running.
> >=20
> > Given the maintenance cost, we=E2=80=99d need a more convincing argumen=
t than
> > =E2=80=9Cshould be usable=E2=80=9D.  :-)
> >=20
> > So it seems to me that we=E2=80=99re done with it as far as inclusion i=
n Guix
> > is concerned.  Thoughts?
> >=20
> > It=E2=80=99s typically a situation where an external channel is more
> > appropriate, IMO.
> I'm definitely leaning towards not including it as-is/perhaps having it
> in an external channel as well, but I don't think "high maintenance"
> should generally be a deterrent against a functioning package (or
> rather the only reason to keep a package from being included).  Guix
> already has packages, that I would consider to be of higher
> maintenance, e.g. GNOME, and I do think it would help Guix users if
> (parts of) systemd became a viable option.  I am simply doubting the
> functionality of this package as it currently exists.
>=20
> That said, I don't think myself to be in a place to make accurate
> judgements about entry requirements.  I suggested =E2=80=9Cshould be usab=
le=E2=80=9D as
> a bare minimum because it seemed easy to convey.  There are also other
> things to consider, like coding style, adherence to packaging
> guidelines, etc. with maintainability somewhere among them, but I can't
> really phrase all of those well into a simple sentence.  I also think
> that some reviewer should be able to take an already functioning
> package description and perform cosmetic changes to transform it into
> one better suited for Guix, though that might be a bit of a
> controversial statement.
>=20
> Regards,
> Leo
>=20

I'd also argue that some of the bioinformatics packages are high
maintenance and no one likes having to update them.

One thing that I've noticed with elogind is that it doesn't interact
will with systemd-logind on other machines. Any loginctl command
normally fails because the version we have looks in /var/lib/elogind and
systemd uses /var/lib/systemd.

It would also be useful to figure out how to run user level systemd
services, likely using systemd itself, for those who are interested in
doing so.

I've heard that systemd is modular, in that at compile time it's
possible to choose which modules to build. Perhaps we can build a subset
which are actually useful for us?

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--bdGtDPii2K1NCeVS
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmDFtEYACgkQQarn3Mo9
g1EKbxAArfWqwXlvjGGnNtnAavmnPtFmhAeWPsshxClOo8HP40eeS3OXG7znm4+f
hqFlZdaP47iPawXQJq8Xvm6b0gBaGfVed5gC0Sfa5BUP1FOCmJjcXKovkjU7UHz1
d4ej5izw6Cw3RD67n8Q94rleirfsHMVwGD9nrD2Wml7Z2TDvlsphk2vdLOnPYH9V
kV72wTO2JX2enyijoMCRv1MEmkQZPs6KXqq2dLu8Ysd85QLBWbhCjN8RVfbObNM5
r7G0crg6Ee7Uy20kZT1KGYWema8G29X3QIV8XF8XIybcQdC09ePZGZU51YiSdoju
DZ1koLUqh/iL05+8yDIN+tBKKDkdBIZOuWiUc3BOEGRrxFH+LNAnYVCTiGe7LVx9
Pm2vM7DXY4fW9H1KcoXacgXkZdgExjZPyDke+CxAHXBhdnQmwBfxBAxOC4aoyCNF
yg69+TDW8SAroLyIm9QZ+YXJPrv0mfMWee7qN01tKOeyvOk91CKtg8t2tkyQi6Pr
Se1YndWaLbHQkWLwg9JiQl6TFRuS8AGEaq/t/Sk7+3rNEiskALYMYFhgGm6SvVF6
wfrrkBz+vV21/rPufZ3Eq7/x/FdP53I4svpYO1Gt9iq8gtASWERzcdQxAhagNm+x
j6zjDeeGH0G8OulWgRGQEKKAfyyUnTPY1GESVfw3n8WJ3naMurA=
=M6RO
-----END PGP SIGNATURE-----

--bdGtDPii2K1NCeVS--




Information forwarded to guix-patches@HIDDEN:
bug#48924; Package guix-patches. Full text available.

Message received at 48924 <at> debbugs.gnu.org:


Received: (at 48924) by debbugs.gnu.org; 11 Jun 2021 17:11:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 11 13:11:53 2021
Received: from localhost ([127.0.0.1]:39870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lrkhF-000855-Ej
	for submit <at> debbugs.gnu.org; Fri, 11 Jun 2021 13:11:53 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:65278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lrkhB-00084u-Vp
 for 48924 <at> debbugs.gnu.org; Fri, 11 Jun 2021 13:11:52 -0400
Received: from [10.0.0.4] (62-116-34-49.adsl.highway.telekom.at [62.116.34.49])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4G1nSf29Bbz3x6h;
 Fri, 11 Jun 2021 19:11:46 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1623431506;
 bh=r0m+NB7UiU223Tb8pgAYcEZFbscRIta4rAYjYyLVZkU=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=IAwlaBU4+DhyhvczSLCPlOXVWODUYtHPrUR3v54HYpvqycyCwoui1byDb5UlC/7eP
 nxOv1YNdaqJ+ggmYNzRU7WwhUz1AC46IVyklUTgVxRzOAnV9YIP3z8fVsHSj0PoKBm
 VNlmF7UOVaWaEXndbj67yY3wAJlBXt+X6bLpIu0I=
Message-ID: <6bb174687e5520154f4cb0fefe8306158d594c01.camel@HIDDEN>
Subject: Re: bug#48924: Add systemd
From: Leo Prikler <leo.prikler@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Fri, 11 Jun 2021 19:11:18 +0200
In-Reply-To: <87h7i45p9y.fsf@HIDDEN>
References: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
 <87wnr3aqa6.fsf@HIDDEN>
 <YNI_xB5G_0jHAWpD9mD6rWGMzXtE6P0dMG0L4wy_E8SDJssGgaaHlgVe9TRpuJmv5Q-0elQfKCfqexhQAY0Gkg==@fron.io>
 <87sg1qbxb0.fsf_-_@HIDDEN>
 <rlnRDNsOy3WhfYIT2u39eHjY16ckiPJyCzJBFBcR-WDKtnV2sgow4pu1qYMTIOSatQTJYWXasChOlRgKHEyYbw==@fron.io>
 <8c9f7f3961274fd2fef3b715a0ff8b21026bb283.camel@HIDDEN>
 <87h7i45p9y.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48924
Cc: 48924 <at> debbugs.gnu.org, Tony O <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Am Freitag, den 11.06.2021, 18:39 +0200 schrieb Ludovic Courtès:
> > This was in part already discussed in IRC, but to reiterate, I
> > think
> > that the systemd package should be usable in some capacity -- be
> > it,
> > that we can run systemd as user daemons or be it, that we can
> > *meaningfully* link free software against it.  Note however, that
> > the
> > latter most likely implies the first, since there's no meaningful
> > linkage against systemd without one of its daemons running.
> 
> Given the maintenance cost, we’d need a more convincing argument than
> “should be usable”.  :-)
> 
> So it seems to me that we’re done with it as far as inclusion in Guix
> is concerned.  Thoughts?
> 
> It’s typically a situation where an external channel is more
> appropriate, IMO.
I'm definitely leaning towards not including it as-is/perhaps having it
in an external channel as well, but I don't think "high maintenance"
should generally be a deterrent against a functioning package (or
rather the only reason to keep a package from being included).  Guix
already has packages, that I would consider to be of higher
maintenance, e.g. GNOME, and I do think it would help Guix users if
(parts of) systemd became a viable option.  I am simply doubting the
functionality of this package as it currently exists.

That said, I don't think myself to be in a place to make accurate
judgements about entry requirements.  I suggested “should be usable” as
a bare minimum because it seemed easy to convey.  There are also other
things to consider, like coding style, adherence to packaging
guidelines, etc. with maintainability somewhere among them, but I can't
really phrase all of those well into a simple sentence.  I also think
that some reviewer should be able to take an already functioning
package description and perform cosmetic changes to transform it into
one better suited for Guix, though that might be a bit of a
controversial statement.

Regards,
Leo






Information forwarded to guix-patches@HIDDEN:
bug#48924; Package guix-patches. Full text available.

Message received at 48924 <at> debbugs.gnu.org:


Received: (at 48924) by debbugs.gnu.org; 11 Jun 2021 16:39:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 11 12:39:48 2021
Received: from localhost ([127.0.0.1]:39853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lrkCB-000573-V8
	for submit <at> debbugs.gnu.org; Fri, 11 Jun 2021 12:39:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lrkCA-00056q-Fw
 for 48924 <at> debbugs.gnu.org; Fri, 11 Jun 2021 12:39:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33968)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lrkC3-0004F5-AT; Fri, 11 Jun 2021 12:39:39 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=51634 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lrkC2-00088M-Hl; Fri, 11 Jun 2021 12:39:39 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: bug#48924: Add systemd
References: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
 <87wnr3aqa6.fsf@HIDDEN>
 <YNI_xB5G_0jHAWpD9mD6rWGMzXtE6P0dMG0L4wy_E8SDJssGgaaHlgVe9TRpuJmv5Q-0elQfKCfqexhQAY0Gkg==@fron.io>
 <87sg1qbxb0.fsf_-_@HIDDEN>
 <rlnRDNsOy3WhfYIT2u39eHjY16ckiPJyCzJBFBcR-WDKtnV2sgow4pu1qYMTIOSatQTJYWXasChOlRgKHEyYbw==@fron.io>
 <8c9f7f3961274fd2fef3b715a0ff8b21026bb283.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 23 Prairial an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 11 Jun 2021 18:39:37 +0200
In-Reply-To: <8c9f7f3961274fd2fef3b715a0ff8b21026bb283.camel@HIDDEN>
 (Leo Prikler's message of "Thu, 10 Jun 2021 00:33:03 +0200")
Message-ID: <87h7i45p9y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48924
Cc: 48924 <at> debbugs.gnu.org, Tony O <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Leo Prikler <leo.prikler@HIDDEN> skribis:

> Am Mittwoch, den 09.06.2021, 20:31 +0000 schrieb Tony O:
>> In particular, im using it to relink against a nonfree binary which
>> responds badly to tampering, so im using it only as a library.=20
> A systemd package, which serves no purpose other than being linked
> against nonfree binaries does not sound particularly useful, especially
> not when thinking in terms of FSDG compliance.  We don't even know
> whether *free* software linked against this systemd would behave as
> expected, let alone nonfree software.

Yeah, that=E2=80=99s definitely not a good reason to include it.

> This was in part already discussed in IRC, but to reiterate, I think
> that the systemd package should be usable in some capacity -- be it,
> that we can run systemd as user daemons or be it, that we can
> *meaningfully* link free software against it.  Note however, that the
> latter most likely implies the first, since there's no meaningful
> linkage against systemd without one of its daemons running.

Given the maintenance cost, we=E2=80=99d need a more convincing argument th=
an
=E2=80=9Cshould be usable=E2=80=9D.  :-)

So it seems to me that we=E2=80=99re done with it as far as inclusion in Gu=
ix is
concerned.  Thoughts?

It=E2=80=99s typically a situation where an external channel is more
appropriate, IMO.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#48924; Package guix-patches. Full text available.

Message received at 48924 <at> debbugs.gnu.org:


Received: (at 48924) by debbugs.gnu.org; 9 Jun 2021 22:33:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 18:33:37 2021
Received: from localhost ([127.0.0.1]:34841 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr6lU-0006wk-TN
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 18:33:37 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:47030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lr6lS-0006wZ-34
 for 48924 <at> debbugs.gnu.org; Wed, 09 Jun 2021 18:33:35 -0400
Received: from [10.0.0.4] (62-116-34-49.adsl.highway.telekom.at [62.116.34.49])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4G0hhn6PyHz1DH90;
 Thu, 10 Jun 2021 00:33:29 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4G0hhn6PyHz1DH90
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1623278010;
 bh=wQTBF2afvz81QjjGy/dLGfmpXBJDEp9Dvi84ArLcXMM=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References:From;
 b=MIK7uwJXjAYGgo4l9TX5LRagu699iGldf0sSRDbsetiLpb5ltuFrTZZTZNbRy4HMq
 wrbg5GY6F0oTQER5ZCVuN9S+uw/Rik0ChrDruxv9qR1RRDbcjkHpJl81k92u5UPIqW
 pE6uwgklgo4rd7ejOf2b5i7Dv4np1bCAUlnRs3gw=
Message-ID: <8c9f7f3961274fd2fef3b715a0ff8b21026bb283.camel@HIDDEN>
Subject: Re: bug#48924: Add systemd
From: Leo Prikler <leo.prikler@HIDDEN>
To: Tony O <me@HIDDEN>, ludo@HIDDEN
Date: Thu, 10 Jun 2021 00:33:03 +0200
In-Reply-To: <rlnRDNsOy3WhfYIT2u39eHjY16ckiPJyCzJBFBcR-WDKtnV2sgow4pu1qYMTIOSatQTJYWXasChOlRgKHEyYbw==@fron.io>
References: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
 <87wnr3aqa6.fsf@HIDDEN>
 <YNI_xB5G_0jHAWpD9mD6rWGMzXtE6P0dMG0L4wy_E8SDJssGgaaHlgVe9TRpuJmv5Q-0elQfKCfqexhQAY0Gkg==@fron.io>
 <87sg1qbxb0.fsf_-_@HIDDEN>
 <rlnRDNsOy3WhfYIT2u39eHjY16ckiPJyCzJBFBcR-WDKtnV2sgow4pu1qYMTIOSatQTJYWXasChOlRgKHEyYbw==@fron.io>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48924
Cc: 48924 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

As the one, who encouraged the sending of this patch I do have a few
words to say.  First of all, I misunderstood the context -- rather than
systemd as a whole, I thought it would just be some systemd-related
package.  This does not matter that much, since a fully functioning
systemd package would still be nice to have, but it still is important
to distinguish between plain systemd, which doesn't work on Guix for
various reasons and replacement libraries like elogind, which do.

Next, let's address the elephant in the room:
Am Mittwoch, den 09.06.2021, 20:31 +0000 schrieb Tony O:
> In particular, im using it to relink against a nonfree binary which
> responds badly to tampering, so im using it only as a library. 
A systemd package, which serves no purpose other than being linked
against nonfree binaries does not sound particularly useful, especially
not when thinking in terms of FSDG compliance.  We don't even know
whether *free* software linked against this systemd would behave as
expected, let alone nonfree software.

This was in part already discussed in IRC, but to reiterate, I think
that the systemd package should be usable in some capacity -- be it,
that we can run systemd as user daemons or be it, that we can
*meaningfully* link free software against it.  Note however, that the
latter most likely implies the first, since there's no meaningful
linkage against systemd without one of its daemons running.

> Others (on irc) expressed interest in using the package, and i can
> envision other usecases such as container images.
Interest in a working systemd package has apparently existed longer
than I was aware of, it's just the specifics of the term "working",
that we need to argue about.

> The downside to it being in my repo or being in "another channel" is
> that anyone wanting to use it then risks nonfree software, and that's
> already been lamented when i offered to do this in irc.
I don't think, that's a realistic risk.  For one, people could just
cherry-pick systemd from your tainted channel, but more importantly
you're assuming that the systemd you've packaged works in a context
other than linking it against some evil binary without actually wanting
to use it.  Which is not to say that it doesn't, just that there hasn't
been enough evidence to support that claim yet.

There's nothing wrong with pushing WIP stuff to your own repo or any
other channel that will accept them.  There is however a problem with
leaving them there and not even considering to submit them towards Guix
(assuming that having a package for some given software in Guix proper
is an option, regardless of the current state of the package
definition), because then Guix will be blissfully unaware that a
perhaps even proper package definition for it exists and might thereby
be missing some awesome software.

As far as the patch itself is concerned, there are a few FIXMEs too
many for me to consider it ready -- in particular the double disabling
of tests rubs me the wrong way.  There's also some minor aesthetic
stuff like the "add-shared-lib" phase, which is both not informative
and bound to break with version updates, but I think that should be
manageable.

Going forward, I'd like to ask you (or anyone else willing to package
systemd) to do the following:
1. Can you look into whether systemd or at least parts of it can be run
from the package inside Guix?
2. Can you look into the disabled tests, particularly those, that are
currently just FIXMEs?

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#48924; Package guix-patches. Full text available.

Message received at 48924 <at> debbugs.gnu.org:


Received: (at 48924) by debbugs.gnu.org; 9 Jun 2021 20:31:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 16:31:19 2021
Received: from localhost ([127.0.0.1]:34757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr4r9-00085M-3w
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 16:31:19 -0400
Received: from mail-4317.protonmail.ch ([185.70.43.17]:40180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lr4r5-000856-6q
 for 48924 <at> debbugs.gnu.org; Wed, 09 Jun 2021 16:31:18 -0400
Date: Wed, 09 Jun 2021 20:31:06 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fron.io;
 s=protonmail; t=1623270668;
 bh=XOcIiy+EwaXPKaHfFYmfbijQuaQWH1s4UQc5uw6djh0=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=Jd+Yn931Qfq3FLr6aetP6BYfSTveD8wvmiCfHAFTQMXcabNvjF8Rdxiq2LsYAYhE6
 TIZ0We8LINTh1sjekEbsgs/Fu+3DZT4ubCr5X1d4qAheBoJbkF2Lc7TTt8owk0YWty
 jmuiQRSIei1AjQQUWAW98dslWmykmDy7WJ6n5tOA=
To: ludo@HIDDEN
From: Tony O <me@HIDDEN>
Subject: Re: bug#48924: Add systemd
Message-ID: <rlnRDNsOy3WhfYIT2u39eHjY16ckiPJyCzJBFBcR-WDKtnV2sgow4pu1qYMTIOSatQTJYWXasChOlRgKHEyYbw==@fron.io>
In-Reply-To: <87sg1qbxb0.fsf_-_@HIDDEN>
References: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
 <87wnr3aqa6.fsf@HIDDEN>
 <YNI_xB5G_0jHAWpD9mD6rWGMzXtE6P0dMG0L4wy_E8SDJssGgaaHlgVe9TRpuJmv5Q-0elQfKCfqexhQAY0Gkg==@fron.io>
 <87sg1qbxb0.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="---------------------b30118210da2cf8330a89d50824a50d5";
 charset=utf-8
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,HTML_MESSAGE shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48924
Cc: 48924 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Tony O <me@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
-----------------------b30118210da2cf8330a89d50824a50d5
Content-Type: multipart/mixed; boundary="---------------------d05dc089b450ecf14efb5bb7038b2684"

-----------------------d05dc089b450ecf14efb5bb7038b2684
Content-Type: multipart/alternative; boundary="---------------------50fc7de483af389a76adf39cdb454430"

-----------------------50fc7de483af389a76adf39cdb454430
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

In particular, im using it to relink against a nonfree binary which respond=
s badly to tampering, so im using it only as a library. Others (on irc) exp=
ressed interest in using the package, and i can envision other usecases suc=
h as container images.

The downside to it being in my repo or being in "another channel" is that a=
nyone wanting to use it then risks nonfree software, and that's already bee=
n lamented when i offered to do this in irc.

I'll leave it to your discretion...
Best,
ix
\-------- Original Message --------
On 9 Jun 2021, 21:25, Ludovic Court=C3=A8s < ludo@HIDDEN> wrote:

>
>
>
> Hello,
>
> Tony O <me@HIDDEN> skribis:
>
> > Yes, it is based on mbakke's work, I updated the version to latest stab=
le and fixed the new errors :)
>
> Heh, neat. Be sure to preserve Marius=E2=80=99 copyright line.
>
> > I'm quite happy to keep it outside guix if it's not deemed suitable, I =
was just encouraged to upstream stuff rather
> > than keep things to myself.
>
> Sure, it=E2=80=99s a good idea in general!
>
> > My usecase at least doesnt require regular updating, so for things depe=
ndent on just "a libsystemd" this would work
> > fine.
>
> So what=E2=80=99s your use case?
>
> Specifically, what=E2=80=99s the answer to this question:
>
> > Now, it would be unusable, unless/until Guix System supports systemd (a=
n
> > option I do not support). For example, =E2=80=98guix install systemd=E2=
=80=99 wouldn=E2=80=99t
> > be of any use, right?
>
> By knowing the answer and understanding potential use cases, we can make
> more informed decisions.
>
> TIA,
> Ludo=E2=80=99.
>
-----------------------50fc7de483af389a76adf39cdb454430
Content-Type: multipart/related; boundary="---------------------b233d2ef91a5d7c3c7feb29f1e6d603b"

-----------------------b233d2ef91a5d7c3c7feb29f1e6d603b
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64

SW4gcGFydGljdWxhciwgaW0gdXNpbmcgaXQgdG8gcmVsaW5rIGFnYWluc3QgYSBub25mcmVlIGJp
bmFyeSB3aGljaCByZXNwb25kcyBiYWRseSB0byB0YW1wZXJpbmcsIHNvIGltIHVzaW5nIGl0IG9u
bHkgYXMgYSBsaWJyYXJ5LiBPdGhlcnMgKG9uIGlyYykgZXhwcmVzc2VkIGludGVyZXN0IGluIHVz
aW5nIHRoZSBwYWNrYWdlLCBhbmQgaSBjYW4gZW52aXNpb24gb3RoZXIgdXNlY2FzZXMgc3VjaCBh
cyBjb250YWluZXIgaW1hZ2VzLjxicj48YnI+VGhlIGRvd25zaWRlIHRvIGl0IGJlaW5nIGluIG15
IHJlcG8gb3IgYmVpbmcgaW4gJnF1b3Q7YW5vdGhlciBjaGFubmVsJnF1b3Q7IGlzIHRoYXQgYW55
b25lIHdhbnRpbmcgdG8gdXNlIGl0IHRoZW4gcmlza3Mgbm9uZnJlZSBzb2Z0d2FyZSwgYW5kIHRo
YXQmIzM5O3MgYWxyZWFkeSBiZWVuIGxhbWVudGVkIHdoZW4gaSBvZmZlcmVkIHRvIGRvIHRoaXMg
aW4gaXJjLjxicj48YnI+SSYjMzk7bGwgbGVhdmUgaXQgdG8geW91ciBkaXNjcmV0aW9uLi4uPGJy
PkJlc3QsPGJyPml4PGJyPi0tLS0tLS0tIE9yaWdpbmFsIE1lc3NhZ2UgLS0tLS0tLS08YnI+T24g
OSBKdW4gMjAyMSwgMjE6MjUsIEx1ZG92aWMgQ291cnTDqHMgPCBsdWRvQGdudS5vcmc+IHdyb3Rl
OjxibG9ja3F1b3RlIGNsYXNzPSJwcm90b25tYWlsX3F1b3RlIj48YnI+PHAgZGlyPSJsdHIiPkhl
bGxvLDwvcD4KPHAgZGlyPSJsdHIiPlRvbnkgTyAmbHQ7bWVAZnJvbi5pbyZndDsgc2tyaWJpczo8
L3A+CjxwIGRpcj0ibHRyIj4mZ3Q7IFllcywgaXQgaXMgYmFzZWQgb24gbWJha2tlJ3Mgd29yaywg
SSB1cGRhdGVkIHRoZSB2ZXJzaW9uIHRvIGxhdGVzdCBzdGFibGUgYW5kIGZpeGVkIHRoZSBuZXcg
ZXJyb3JzIDopPC9wPgo8cCBkaXI9Imx0ciI+SGVoLCBuZWF0LiBCZSBzdXJlIHRvIHByZXNlcnZl
IE1hcml1cyYjODIxNzsgY29weXJpZ2h0IGxpbmUuPC9wPgo8cCBkaXI9Imx0ciI+Jmd0OyBJJ20g
cXVpdGUgaGFwcHkgdG8ga2VlcCBpdCBvdXRzaWRlIGd1aXggaWYgaXQncyBub3QgZGVlbWVkIHN1
aXRhYmxlLCBJIHdhcyBqdXN0IGVuY291cmFnZWQgdG8gdXBzdHJlYW0gc3R1ZmYgcmF0aGVyPGJy
PgomZ3Q7IHRoYW4ga2VlcCB0aGluZ3MgdG8gbXlzZWxmLjwvcD4KPHAgZGlyPSJsdHIiPlN1cmUs
IGl0JiM4MjE3O3MgYSBnb29kIGlkZWEgaW4gZ2VuZXJhbCE8L3A+CjxwIGRpcj0ibHRyIj4mZ3Q7
IE15IHVzZWNhc2UgYXQgbGVhc3QgZG9lc250IHJlcXVpcmUgcmVndWxhciB1cGRhdGluZywgc28g
Zm9yIHRoaW5ncyBkZXBlbmRlbnQgb24ganVzdCAiYSBsaWJzeXN0ZW1kIiB0aGlzIHdvdWxkIHdv
cms8YnI+CiZndDsgZmluZS48L3A+CjxwIGRpcj0ibHRyIj5TbyB3aGF0JiM4MjE3O3MgeW91ciB1
c2UgY2FzZT88L3A+CjxwIGRpcj0ibHRyIj5TcGVjaWZpY2FsbHksIHdoYXQmIzgyMTc7cyB0aGUg
YW5zd2VyIHRvIHRoaXMgcXVlc3Rpb246PC9wPgo8cCBkaXI9Imx0ciI+Jmd0OyBOb3csIGl0IHdv
dWxkIGJlIHVudXNhYmxlLCB1bmxlc3MvdW50aWwgR3VpeCBTeXN0ZW0gc3VwcG9ydHMgc3lzdGVt
ZCAoYW48YnI+CiZndDsgb3B0aW9uIEkgZG8gbm90IHN1cHBvcnQpLiBGb3IgZXhhbXBsZSwgJiM4
MjE2O2d1aXggaW5zdGFsbCBzeXN0ZW1kJiM4MjE3OyB3b3VsZG4mIzgyMTc7dDxicj4KJmd0OyBi
ZSBvZiBhbnkgdXNlLCByaWdodD88L3A+CjxwIGRpcj0ibHRyIj5CeSBrbm93aW5nIHRoZSBhbnN3
ZXIgYW5kIHVuZGVyc3RhbmRpbmcgcG90ZW50aWFsIHVzZSBjYXNlcywgd2UgY2FuIG1ha2U8YnI+
Cm1vcmUgaW5mb3JtZWQgZGVjaXNpb25zLjwvcD4KPHAgZGlyPSJsdHIiPlRJQSw8YnI+Ckx1ZG8m
IzgyMTc7Ljxicj4KPC9wPgo8L2Rpdj4=
-----------------------b233d2ef91a5d7c3c7feb29f1e6d603b--

-----------------------50fc7de483af389a76adf39cdb454430--

-----------------------d05dc089b450ecf14efb5bb7038b2684
Content-Type: application/pgp-keys; name="publickey - EmailAddress(s=me@HIDDEN) - 0x3026807C.asc"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="publickey - EmailAddress(s=me@HIDDEN) - 0x3026807C.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tClZlcnNpb246IEdvcGVuUEdQIDIu
MS4zCkNvbW1lbnQ6IGh0dHBzOi8vZ29wZW5wZ3Aub3JnCgp4ak1FWGM4dFpoWUpLd1lCQkFIYVJ3
OEJBUWRBanBKdUs5bUQyYTN3aEVHdncrY2RyMzhKNkFUM2NKRG9NNjVHCng0YnRmbS9ORjIxbFFH
WnliMjR1YVc4Z1BHMWxRR1p5YjI0dWFXOCt3bmNFRUJZS0FCOEZBbDNQTFdZR0N3a0gKQ0FNQ0JC
VUlDZ0lERmdJQkFoa0JBaHNEQWg0QkFBb0pFTGN0V010U2Eyd3hCdGdBLzI1aFVNZXZTMnRmQURj
OApFaUxadWhOMWwwTGwrOUluelpWYk44KytmSHBaQVBzRmh1dzJYNFJHVWkwT21DcW1hajhDVGdi
NXB6dEFJaWlMCnhJWmYvM0ZHRE00NEJGM1BMV1lTQ2lzR0FRUUJsMVVCQlFFQkIwQlFCck50MDNw
ZG56UjBpZ3EycXB5NXZZbTEKYjVlYk9wNGcxYThGZGJQM1F3TUJDQWZDWVFRWUZnZ0FDUVVDWGM4
dFpnSWJEQUFLQ1JDM0xWakxVbXRzTVhGRwpBUUNieGJaZ2ZyRlBBc3Z0QlVWTitxWUNqMCtPRGFk
azV2UC9Tajg0VnZZN29BRC9SeXliTExmYnNEeEpHbStmCnYrYzBubkttUGx5V2tYUFc4emg2Qlg4
b0pRaz0KPTNWZ2UKLS0tLS1FTkQgUEdQIFBVQkxJQyBLRVkgQkxPQ0stLS0tLQ==
-----------------------d05dc089b450ecf14efb5bb7038b2684--

-----------------------b30118210da2cf8330a89d50824a50d5
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wpYEARYIACcFAmDBJQgJELctWMtSa2wxFiEEMCaAfJ23NTgarLXWty1Yy1Jr
bDEAIQkQty1Yy1JrbDEWIQQwJoB8nbc1OBqstda3LVjLUmtsMVlbAQC4nDte
BgFdDio1I8OADwPdUDA9SiwlDsh+WlNQ5FLTiQEAq6rX7LwJmN+/sl0Egx3c
ddUCFBerO7D4fEGfVU7UXgQ=
=4keP
-----END PGP SIGNATURE-----


-----------------------b30118210da2cf8330a89d50824a50d5--





Information forwarded to guix-patches@HIDDEN:
bug#48924; Package guix-patches. Full text available.

Message received at 48924 <at> debbugs.gnu.org:


Received: (at 48924) by debbugs.gnu.org; 9 Jun 2021 20:25:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 16:25:29 2021
Received: from localhost ([127.0.0.1]:34743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr4lV-0007u6-AJ
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 16:25:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52722)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lr4lR-0007tn-QO
 for 48924 <at> debbugs.gnu.org; Wed, 09 Jun 2021 16:25:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53960)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lr4lM-00072H-3w; Wed, 09 Jun 2021 16:25:20 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=39220 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lr4lB-0006WD-EO; Wed, 09 Jun 2021 16:25:19 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tony O <me@HIDDEN>
Subject: Re: bug#48924: Add systemd
References: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
 <87wnr3aqa6.fsf@HIDDEN>
 <YNI_xB5G_0jHAWpD9mD6rWGMzXtE6P0dMG0L4wy_E8SDJssGgaaHlgVe9TRpuJmv5Q-0elQfKCfqexhQAY0Gkg==@fron.io>
Date: Wed, 09 Jun 2021 22:25:07 +0200
In-Reply-To: <YNI_xB5G_0jHAWpD9mD6rWGMzXtE6P0dMG0L4wy_E8SDJssGgaaHlgVe9TRpuJmv5Q-0elQfKCfqexhQAY0Gkg==@fron.io>
 (Tony O.'s message of "Wed, 09 Jun 2021 18:08:17 +0000")
Message-ID: <87sg1qbxb0.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48924
Cc: 48924 <48924 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Tony O <me@HIDDEN> skribis:

> Yes, it is based on mbakke's work, I updated the version to latest stable=
 and fixed the new errors :)

Heh, neat.  Be sure to preserve Marius=E2=80=99 copyright line.

> I'm quite happy to keep it outside guix if it's not deemed suitable, I wa=
s just encouraged to upstream stuff rather
> than keep things to myself.

Sure, it=E2=80=99s a good idea in general!

> My usecase at least doesnt require regular updating, so for things depend=
ent on just "a libsystemd" this would work
> fine.

So what=E2=80=99s your use case?

Specifically, what=E2=80=99s the answer to this question:

>  Now, it would be unusable, unless/until Guix System supports systemd (an
>  option I do not support). For example, =E2=80=98guix install systemd=E2=
=80=99 wouldn=E2=80=99t
>  be of any use, right?

By knowing the answer and understanding potential use cases, we can make
more informed decisions.

TIA,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#48924; Package guix-patches. Full text available.

Message received at 48924 <at> debbugs.gnu.org:


Received: (at 48924) by debbugs.gnu.org; 9 Jun 2021 18:08:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 14:08:37 2021
Received: from localhost ([127.0.0.1]:34649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr2d3-0004Qd-B1
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 14:08:37 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:22127)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lr2d1-0004QQ-8H
 for 48924 <at> debbugs.gnu.org; Wed, 09 Jun 2021 14:08:36 -0400
Date: Wed, 09 Jun 2021 18:08:17 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fron.io;
 s=protonmail; t=1623262108;
 bh=vu+uxrhPZMyjrZ3lK29xzpM+h/uuSrVdagJZnyVqrgI=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=qHM7GTOsYMTKi35+r/5CDPajYko86ABSJPZLTCm5cIYNJ6E2SoRauT8E1ejGsyAP9
 JQUWh003/ukWi3kaVaxP5ekG8ejj8YcGIIKr0/CGsP624gZbodv769HD2DtvtKcTt+
 8ojZVGQ452QPumlv+XFOxA5HrVhQRTGJVcODc3ZQ=
To: ludo@HIDDEN
From: Tony O <me@HIDDEN>
Subject: Re: bug#48924: Add systemd
Message-ID: <YNI_xB5G_0jHAWpD9mD6rWGMzXtE6P0dMG0L4wy_E8SDJssGgaaHlgVe9TRpuJmv5Q-0elQfKCfqexhQAY0Gkg==@fron.io>
In-Reply-To: <87wnr3aqa6.fsf@HIDDEN>
References: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
 <87wnr3aqa6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="---------------------7bf0083fdfc2d43ceede700ae3411eb5";
 charset=utf-8
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,HTML_MESSAGE shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48924
Cc: 48924 <48924 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Tony O <me@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
-----------------------7bf0083fdfc2d43ceede700ae3411eb5
Content-Type: multipart/mixed; boundary="---------------------637eeb8c7263de4c88b6f355f1d4c7a9"

-----------------------637eeb8c7263de4c88b6f355f1d4c7a9
Content-Type: multipart/alternative; boundary="---------------------0133480c0ed0fd9ab9f18606fc93091b"

-----------------------0133480c0ed0fd9ab9f18606fc93091b
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,

Yes, it is based on mbakke's work, I updated the version to latest stable a=
nd fixed the new errors :)

I'm quite happy to keep it outside guix if it's not deemed suitable, I was =
just encouraged to upstream stuff rather than keep things to myself.

My usecase at least doesnt require regular updating, so for things dependen=
t on just "a libsystemd" this would work fine.

Whatever happens happens!
Best,
ix
\-------- Original Message --------
On 9 Jun 2021, 18:42, Ludovic Court=C3=A8s < ludo@HIDDEN> wrote:

>
>
>
> Hi Tony!
>
> Tony O <me@HIDDEN> skribis:
>
> > From f2c7d9f76ab8f2dcaaf8d4fdfb1f050fdb04c588 Mon Sep 17 00:00:00 2001
> > From: Tony Olagbaiye <me@HIDDEN>
> > Date: Tue, 8 Jun 2021 17:15:02 +0100
> > Subject: \[PATCH\] gnu: Add systemd
> >
> > ---
> > gnu/packages/freedesktop.scm \| 222 +++++++++++++++++++++++++++++++++++
> > 1 file changed, 222 insertions(+)
>
> Woow, quite a piece of work! Is this based on Marius=E2=80=99 earlier wor=
k?
> https://lists.gnu.org/archive/html/guix-devel/2018-04/msg00001.html
>
> The policy for Guix is to accept free software packages; this one
> clearly fits the bill.
>
> Now, it would be unusable, unless/until Guix System supports systemd (an
> option I do not support). For example, =E2=80=98guix install systemd=E2=
=80=99 wouldn=E2=80=99t
> be of any use, right?
>
> All in all, with my co-maintainer hat on, it seems to me that the
> maintenance cost would be high (because it=E2=80=99s a large piece of sof=
tware
> that evolves very quickly), for a package that=E2=80=99d be practically
> unusable, so I=E2=80=99d lean towards not including it.
>
> WDYT?
>
> Thanks,
> Ludo=E2=80=99.
>
-----------------------0133480c0ed0fd9ab9f18606fc93091b
Content-Type: multipart/related; boundary="---------------------f5364ea38a69a61568138820338af42a"

-----------------------f5364ea38a69a61568138820338af42a
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64
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-----------------------f5364ea38a69a61568138820338af42a--

-----------------------0133480c0ed0fd9ab9f18606fc93091b--

-----------------------637eeb8c7263de4c88b6f355f1d4c7a9
Content-Type: application/pgp-keys; name="publickey - EmailAddress(s=me@HIDDEN) - 0x3026807C.asc"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="publickey - EmailAddress(s=me@HIDDEN) - 0x3026807C.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tClZlcnNpb246IEdvcGVuUEdQIDIu
MS4zCkNvbW1lbnQ6IGh0dHBzOi8vZ29wZW5wZ3Aub3JnCgp4ak1FWGM4dFpoWUpLd1lCQkFIYVJ3
OEJBUWRBanBKdUs5bUQyYTN3aEVHdncrY2RyMzhKNkFUM2NKRG9NNjVHCng0YnRmbS9ORjIxbFFH
WnliMjR1YVc4Z1BHMWxRR1p5YjI0dWFXOCt3bmNFRUJZS0FCOEZBbDNQTFdZR0N3a0gKQ0FNQ0JC
VUlDZ0lERmdJQkFoa0JBaHNEQWg0QkFBb0pFTGN0V010U2Eyd3hCdGdBLzI1aFVNZXZTMnRmQURj
OApFaUxadWhOMWwwTGwrOUluelpWYk44KytmSHBaQVBzRmh1dzJYNFJHVWkwT21DcW1hajhDVGdi
NXB6dEFJaWlMCnhJWmYvM0ZHRE00NEJGM1BMV1lTQ2lzR0FRUUJsMVVCQlFFQkIwQlFCck50MDNw
ZG56UjBpZ3EycXB5NXZZbTEKYjVlYk9wNGcxYThGZGJQM1F3TUJDQWZDWVFRWUZnZ0FDUVVDWGM4
dFpnSWJEQUFLQ1JDM0xWakxVbXRzTVhGRwpBUUNieGJaZ2ZyRlBBc3Z0QlVWTitxWUNqMCtPRGFk
azV2UC9Tajg0VnZZN29BRC9SeXliTExmYnNEeEpHbStmCnYrYzBubkttUGx5V2tYUFc4emg2Qlg4
b0pRaz0KPTNWZ2UKLS0tLS1FTkQgUEdQIFBVQkxJQyBLRVkgQkxPQ0stLS0tLQ==
-----------------------637eeb8c7263de4c88b6f355f1d4c7a9--

-----------------------7bf0083fdfc2d43ceede700ae3411eb5
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wpYEARYIACcFAmDBA5AJELctWMtSa2wxFiEEMCaAfJ23NTgarLXWty1Yy1Jr
bDEAIQkQty1Yy1JrbDEWIQQwJoB8nbc1OBqstda3LVjLUmtsMVFoAQDLv97i
Wt/Brg32kHwQ8tbv6AWUkqwkmoTXj6Lrz/32YAEA94fKTXVX+y3c/j2pXcLt
31hgqgOnfsnEVgG0/8NV/gw=
=GejO
-----END PGP SIGNATURE-----


-----------------------7bf0083fdfc2d43ceede700ae3411eb5--





Information forwarded to guix-patches@HIDDEN:
bug#48924; Package guix-patches. Full text available.

Message received at 48924 <at> debbugs.gnu.org:


Received: (at 48924) by debbugs.gnu.org; 9 Jun 2021 17:42:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:42:19 2021
Received: from localhost ([127.0.0.1]:34633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr2Da-0003lm-U6
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:42:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lr2DY-0003lX-Pe
 for 48924 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:42:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50162)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lr2DT-0001Rh-EI; Wed, 09 Jun 2021 13:42:11 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=38992 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lr2DT-0001V6-6Z; Wed, 09 Jun 2021 13:42:11 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tony O <me@HIDDEN>
Subject: Re: bug#48924: Add systemd
References: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
Date: Wed, 09 Jun 2021 19:42:09 +0200
In-Reply-To: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
 (Tony O.'s message of "Tue, 08 Jun 2021 16:19:33 +0000")
Message-ID: <87wnr3aqa6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48924
Cc: 48924 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Tony!

Tony O <me@HIDDEN> skribis:

> From f2c7d9f76ab8f2dcaaf8d4fdfb1f050fdb04c588 Mon Sep 17 00:00:00 2001
> From: Tony Olagbaiye <me@HIDDEN>
> Date: Tue, 8 Jun 2021 17:15:02 +0100
> Subject: [PATCH] gnu: Add systemd
>
> ---
>  gnu/packages/freedesktop.scm | 222 +++++++++++++++++++++++++++++++++++
>  1 file changed, 222 insertions(+)

Woow, quite a piece of work!  Is this based on Marius=E2=80=99 earlier work?
https://lists.gnu.org/archive/html/guix-devel/2018-04/msg00001.html

The policy for Guix is to accept free software packages; this one
clearly fits the bill.

Now, it would be unusable, unless/until Guix System supports systemd (an
option I do not support).  For example, =E2=80=98guix install systemd=E2=80=
=99 wouldn=E2=80=99t
be of any use, right?

All in all, with my co-maintainer hat on, it seems to me that the
maintenance cost would be high (because it=E2=80=99s a large piece of softw=
are
that evolves very quickly), for a package that=E2=80=99d be practically
unusable, so I=E2=80=99d lean towards not including it.

WDYT?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#48924; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jun 2021 16:20:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 12:20:11 2021
Received: from localhost ([127.0.0.1]:59604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqeSS-0005kS-AN
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 12:20:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:52696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lqeSP-0005jr-O2
 for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 12:20:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:32832)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1lqeSP-0002Ow-Fh
 for guix-patches@HIDDEN; Tue, 08 Jun 2021 12:20:01 -0400
Received: from mail-0201.mail-europe.com ([51.77.79.158]:58341
 helo=mail-02.mail-europe.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1lqeSM-0007te-Aw
 for guix-patches@HIDDEN; Tue, 08 Jun 2021 12:20:01 -0400
Date: Tue, 08 Jun 2021 16:19:33 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fron.io;
 s=protonmail; t=1623169175;
 bh=of4tfGn/bZLk3Q2R11HLepPfNlTLZ/2IHWvOLPoqxgA=;
 h=Date:To:From:Reply-To:Subject:From;
 b=A8W5+RRuD1NnRzHMV3dBkOOWdbjuVjJmTFbhLHQ7y4tpwA5TW6rcVEliiqHsfHEMz
 q3Js3e9Xmm2/JuVoWSM9ESeFGNmulm5sA3oQKXaRCb7ath6RaOx44jyjPZHMFjwJyz
 iLUFz4WpkFFcfcPuIe37IliEVmMy4mwcqfWAhBMI=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: Tony O <me@HIDDEN>
Subject: Add systemd
Message-ID: <dvQW5QOoMhwaIXz7zMjE5FemgwPRLjI5ygh4wgbnFN2zo3gBq0-FrBzSeS78AnUQbLTcCyyMeywb5DGDy4AcGA==@fron.io>
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha512;
 boundary="---------------------85da4704589f0f63b6fc48a8d00ea6c4";
 charset=utf-8
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,HTML_MESSAGE shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=51.77.79.158; envelope-from=me@HIDDEN;
 helo=mail-02.mail-europe.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Tony O <me@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
-----------------------85da4704589f0f63b6fc48a8d00ea6c4
Content-Type: multipart/mixed;boundary=---------------------97c4d0679a0e67401e7e666fcbb64673

-----------------------97c4d0679a0e67401e7e666fcbb64673
Content-Type: multipart/alternative;boundary=---------------------8aca0770ae07520b98db0662c8608032

-----------------------8aca0770ae07520b98db0662c8608032
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;charset=utf-8

Hello.

Unsure what the conventional prelude here is, see attached my patch to add=
 systemd to (gnu packages freedesktop) for use as a library in other packa=
ges.

Thanks

--
ix/ixmpp <on> libera
-----------------------8aca0770ae07520b98db0662c8608032
Content-Type: multipart/related;boundary=---------------------d57f663dc6ebc353c0f6d32f571d26fb

-----------------------d57f663dc6ebc353c0f6d32f571d26fb
Content-Type: text/html;charset=utf-8
Content-Transfer-Encoding: base64

PGRpdj5IZWxsby48YnI+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5VbnN1cmUgd2hhdCB0aGUg
Y29udmVudGlvbmFsIHByZWx1ZGUgaGVyZSBpcywgc2VlIGF0dGFjaGVkIG15IHBhdGNoIHRvIGFk
ZCBzeXN0ZW1kIHRvIChnbnUgcGFja2FnZXMgZnJlZWRlc2t0b3ApIGZvciB1c2UgYXMgYSBsaWJy
YXJ5IGluIG90aGVyIHBhY2thZ2VzLjxicj48L2Rpdj48ZGl2Pjxicj48L2Rpdj48ZGl2PlRoYW5r
czwvZGl2PjxkaXY+PGJyPjwvZGl2PjxkaXYgY2xhc3M9InByb3Rvbm1haWxfc2lnbmF0dXJlX2Js
b2NrIj48ZGl2IGNsYXNzPSJwcm90b25tYWlsX3NpZ25hdHVyZV9ibG9jay11c2VyIj48ZGl2Pjxk
aXY+LS08YnI+PC9kaXY+PGRpdj5peC9peG1wcCAmbHQ7b24mZ3Q7IGxpYmVyYTxicj48L2Rpdj48
L2Rpdj48L2Rpdj48ZGl2IGNsYXNzPSJwcm90b25tYWlsX3NpZ25hdHVyZV9ibG9jay1wcm90b24g
cHJvdG9ubWFpbF9zaWduYXR1cmVfYmxvY2stZW1wdHkiPjwvZGl2PjwvZGl2PjxkaXY+PGJyPjwv
ZGl2Pg==
-----------------------d57f663dc6ebc353c0f6d32f571d26fb--

-----------------------8aca0770ae07520b98db0662c8608032--

-----------------------97c4d0679a0e67401e7e666fcbb64673
Content-Type: text/x-patch; filename="0001-gnu-Add-systemd.patch"; name="0001-gnu-Add-systemd.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="0001-gnu-Add-systemd.patch"; name="0001-gnu-Add-systemd.patch"
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-----------------------97c4d0679a0e67401e7e666fcbb64673
Content-Type: application/pgp-keys; filename="publickey - me@HIDDEN - 0x3026807C.asc"; name="publickey - me@HIDDEN - 0x3026807C.asc"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="publickey - me@HIDDEN - 0x3026807C.asc"; name="publickey - me@HIDDEN - 0x3026807C.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tDQpWZXJzaW9uOiBPcGVuUEdQLmpz
IHY0LjEwLjEwDQpDb21tZW50OiBodHRwczovL29wZW5wZ3Bqcy5vcmcNCg0KeGpNRVhjOHRaaFlK
S3dZQkJBSGFSdzhCQVFkQWpwSnVLOW1EMmEzd2hFR3Z3K2NkcjM4SjZBVDNjSkRvDQpNNjVHeDRi
dGZtL05GMjFsUUdaeWIyNHVhVzhnUEcxbFFHWnliMjR1YVc4K3duY0VFQllLQUI4RkFsM1ANCkxX
WUdDd2tIQ0FNQ0JCVUlDZ0lERmdJQkFoa0JBaHNEQWg0QkFBb0pFTGN0V010U2Eyd3hCdGdBLzI1
aA0KVU1ldlMydGZBRGM4RWlMWnVoTjFsMExsKzlJbnpaVmJOOCsrZkhwWkFQc0ZodXcyWDRSR1Vp
ME9tQ3FtDQphajhDVGdiNXB6dEFJaWlMeElaZi8zRkdETTQ0QkYzUExXWVNDaXNHQVFRQmwxVUJC
UUVCQjBCUUJyTnQNCjAzcGRuelIwaWdxMnFweTV2WW0xYjVlYk9wNGcxYThGZGJQM1F3TUJDQWZD
WVFRWUZnZ0FDUVVDWGM4dA0KWmdJYkRBQUtDUkMzTFZqTFVtdHNNWEZHQVFDYnhiWmdmckZQQXN2
dEJVVk4rcVlDajArT0RhZGs1dlAvDQpTajg0VnZZN29BRC9SeXliTExmYnNEeEpHbStmditjMG5u
S21QbHlXa1hQVzh6aDZCWDhvSlFrPQ0KPTNWZ2UNCi0tLS0tRU5EIFBHUCBQVUJMSUMgS0VZIEJM
T0NLLS0tLS0NCg==
-----------------------97c4d0679a0e67401e7e666fcbb64673--

-----------------------85da4704589f0f63b6fc48a8d00ea6c4
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wnUEARYKAAYFAmC/mIQAIQkQty1Yy1JrbDEWIQQwJoB8nbc1OBqstda3LVjL
UmtsMRKIAP9rHNP9sC4VcxQSRMMN/CVyo6/8GrfPlVlkdETr2x03BQEA+aJc
7cMOnTqmx5yMiYqNDobfvF+CN0IbRJd9MtywygU=
=oV5I
-----END PGP SIGNATURE-----


-----------------------85da4704589f0f63b6fc48a8d00ea6c4--





Acknowledgement sent to Tony O <me@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48924; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 13 Jun 2021 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.